Bug 1260767 - [BACKWARDS COMPATIBILITY CLEANUP] Remove the "vm.display" element
[BACKWARDS COMPATIBILITY CLEANUP] Remove the "vm.display" element
Product: ovirt-engine
Classification: oVirt
Component: RestAPI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Juan Hernández
Pavel Stehlik
Depends On:
  Show dependency treegraph
Reported: 2015-09-07 12:24 EDT by Juan Hernández
Modified: 2016-04-06 08:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-04-06 08:17:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.0.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?

Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2015-09-07 12:24:10 EDT
In 3.6 the "vm.display" element and its sub-elements have been superseded by the new "/vm/{vm:id}/grahicsconsoles" collection, but the original element was preserved for backwards compatibilty. In 4.0 this old "vm.display" element should be completely removed.
Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 06:51:11 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 2 Juan Hernández 2016-04-06 08:17:07 EDT
As version 4 of the engine has to support version 3 of the API it has been decided to not remove this.

Note You need to log in before you can comment on or make changes to this bug.